﻿<%@ page language="C#" autoeventwireup="true" inherits="ims.web.detail, ims.web" enableviewstatemac="false" enableEventValidation="false" %>
<%@ Register Src="~/UserControls/FileUploader.ascx" TagName="Uploader" TagPrefix="ims" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" id="detail">
<head runat="server"><title></title>
</head>
<body>
    <form id="form1" runat="server" defaultbutton="">
        <asp:HiddenField runat="server" ID="curFieldId" Value="" />
        <asp:Button runat="server" ID="btnShow" OnClick="ShowTaskInfo" CssClass="hide" />
        <asp:ScriptManager ID="s1" runat="server" EnablePageMethods="true">
            <Scripts><asp:ScriptReference Name="MicrosoftAjax.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/><asp:ScriptReference Name="MicrosoftAjaxWebForms.js" ScriptMode="Auto" Path="~/js/MsAjax.js"/></Scripts>
        </asp:ScriptManager>
        <div id="body">
        <div runat="server" id="taskTitle" visible="false"></div>
        <div id="pageTitle" runat="server" class="pageTitle"></div>
        <table cellspacing="1" runat="server" id="layoutTable" EnableViewState="false" class="normal"></table>
        <div runat="server" id="main" EnableViewState="false"></div>
        </div>
        <table cellspacing="0" runat="server" id="PagerBar" class="PagerBar"><tr><td>
            <a id="btnFirst" runat="server" title="快捷键：Home" accesskey="F">首页</a>
            <a id="btnPrevious" runat="server" title="快捷键：←或PageUp" accesskey="P">&lt; 上一页</a>
            <asp:Label ID="lblCount" CssClass="count" runat="server"></asp:Label>
            <a id="btnNext" runat="server" title="快捷键：→或PageDown" accesskey="N">下一页 &gt;</a>
            <a id="btnLast" runat="server" title="快捷键：End" accesskey="L">末页</a>
        </td><td align="right">
            <select id="ddlPager" onchange="pagerChanged();" runat="server"></select>
        </td></tr></table>
        <table cellspacing="0" id="footer" runat="server" class="mtop_s mbottom_m"><tr>
            <td runat="server" id="lLinks"></td>
            <td id="rLinks">
                <a href="#" runat="server" id="addToCart">加入购物车</a>
                <a href="#" runat="server" id="addToFav">收藏</a>
                <asp:ImageButton runat="server" ID="btnAttrs" CssClass="pointer" ImageUrl="images/taskattr.gif" OnClick="ExeOpera" />
            </td>
        </tr></table>
        <div id="taskForm" runat="server" class="highlight corner" visible="false">
            <div runat="server" id="remarks" visible="false"></div>
            <div runat="server" id="backPrompt" visible="false"></div>
            <div runat="server" id="divIden" visible="false">
                <img src="images/users.gif" align="top" /> 我的身份： <asp:RadioButtonList runat="server" ID="rblIdens" RepeatLayout="Flow" RepeatDirection="Horizontal"></asp:RadioButtonList>
            </div>
            <div runat="server" id="nextArea" visible="false">
                <img src="images/next.gif" align="top" />下一步： <asp:RadioButtonList runat="server" ID="rblNext" RepeatLayout="Flow" RepeatDirection="Horizontal"></asp:RadioButtonList><asp:CheckBoxList runat="server" ID="cblNext" RepeatLayout="Flow" RepeatDirection="Horizontal"></asp:CheckBoxList></td>
            </div>
        </div>
        <div id="btnArea">
            <asp:Button ID="btnPass" runat="server" Text="同意" OnClientClick="return toProcess(true);" CssClass="btn big" Visible="false" />
            <asp:Button ID="btnReject" runat="server" Text="拒绝" OnClientClick="return toProcess(false);" CssClass="btn big" Visible="false" />
            <asp:Button ID="btnComplete" runat="server" Text="完成" OnClick="ProcessTask" CssClass="btn big" Visible="false" />
            <input type="button" runat="server" id="btnPercent" value="进度报告" onclick="return toProgress();" class="btn" style="width:66px" />
            <asp:Button ID="toEdit" AccessKey="E" runat="server" ToolTip="进入编辑状态&#13;快捷键：Alt+E" Text="编辑" OnClick="ToEdit" CssClass="btn" />
            <asp:Button ID="toDel" AccessKey="D" runat="server" ToolTip="删除&#13;快捷键：Alt+D" Text="删除" OnClick="ToDel" OnClientClick="return delConfirm();" CssClass="btn" />
            <input type="button" id="delFlow" accesskey="D" runat="server" title="删除流程&#13;快捷键：Alt+D" value="删除流程" onclick="operaFlow('Delete');" class="btn" style="width:66px" />
            <input type="button" id="backFlow" accesskey="D" runat="server" title="退回流程&#13;快捷键：Alt+B" value="退回" onclick="operaFlow('Back');" class="btn" />
            <input type="button" accesskey="C" id="btnLayout" runat="server" title="切换页面的显示样式&#13;快捷键：Alt+C" value="版式" onclick="return showMenu();" class="btn" />
            <input type="button" runat="server" id="btnExport" onclick="return toExportAs('#body');" value="导出" class="btn" />
            <input type="button" value="打印" runat="server" id="btnPrint" onclick="$('#body').printIt();" class="btn" />
            <input type="button" onclick="MarkAndBack();" value="返回" class="btn" />
            <input type="button" runat="server" class="hide" id="btnTrigger" onserverclick="ShowEditPop" />
        </div>
        <div class="menu" id="layouts" runat="server"></div>

        <asp:UpdatePanel ID="upMent" runat="server" UpdateMode="conditional" Visible="false" RenderMode="Inline">
            <ContentTemplate>
                <div runat="server" id="comments" visible="false">
                    <div class="blockTitle">
                        <table cellspacing="0"><tr><td class="listTitle">评论列表<asp:Label runat="server" ID="mCount"></asp:Label></td><td class="btns"><img runat="server" id="write" onclick="toWrite();" src="images/ment_add.png" title="发表评论" /><img src="images/ment_delall.png" runat="server" id="delAll" title="清除所有评论" onclick="clearAll();" /></td></tr></table>
                    </div>
                    <div runat="server" id="divMent"></div>
                    <div runat="server" id="pager" visible="false"></div>
                </div>
                <asp:HiddenField runat="server" ID="editId" Value="" />
                <asp:HiddenField runat="server" ID="curPageIndex" OnValueChanged="toCommentPage" Value="0" />
                <asp:Button runat="server" ID="btnDel" OnClick="DelComment" CssClass="hide" />
            </ContentTemplate>
        </asp:UpdatePanel>
        <div runat="server" id="writeMent" visible="false">
            <div class="blockTitle">发表评论：</div>
            <div id="mentArea">
                <asp:TextBox runat="server" ID="ckMent" TextMode="MultiLine"></asp:TextBox>
                <div class="center mtop_m">
                    <input type="button" value="取消修改" style="width:66px" id="btnCanel" class="hide btn" onclick="canelEdit();" />
                    <asp:Button runat="server" ID="btnMent" OnClick="SubmitComment" CssClass="btn" OnClientClick="return PreSubmit();" Text="发表评论" Width="66" />
                </div>
            </div>
        </div>

        <ims:Pop runat="server" ID="p" Width="475" OnOkClientClick="updateEditor();" OnOkClick="Save" HideOnOkClientClick="false" ShowProgress="false">
        <ContentTemplate>
            <asp:TextBox ID="_tb" runat="server" Width="98.5%" Visible="false"></asp:TextBox>
            <span runat="server" id="ddlspan" visible="false"><asp:Literal runat="server" ID="ddltext"></asp:Literal><asp:DropDownList ID="_ddl" runat="server"></asp:DropDownList></span>
            <asp:CheckBox ID="_cb" runat="server" Visible="false" />
            <asp:CheckBoxList ID="_cbl" runat="server" RepeatDirection="Horizontal" RepeatLayout="Flow" Width="100%" Visible="false"></asp:CheckBoxList>
            <asp:RadioButtonList ID="_rbl" runat="server" RepeatDirection="Horizontal" RepeatLayout="Flow" Width="100%" Visible="false"></asp:RadioButtonList>
            <asp:TextBox runat="server" ID="_ck" CssClass="ck" TextMode="MultiLine" Visible="false"></asp:TextBox>
            <ims:Uploader runat="server" ID="_uploader" Visible="false" />
            <table ID="_hl" runat="server" cellspacing="0" style="table-layout:fixed;width:98%" visible="false">
                <tr><td style="width:60px">链接文字：</td><td><asp:TextBox ID="_tbText" runat="server" Width="99%"></asp:TextBox></td></tr>
                <tr><td>链接地址：</td><td><asp:TextBox ID="_tbUrl" runat="server" Width="99%"></asp:TextBox></td></tr>
            </table>
            <div runat="server" id="note" class="corner highlight"></div>
            <div runat="server" id="cmds" class="right mtop_s">
                <a runat="server" id="aAddRow" href="#" onclick="return toAdd(this);"></a>
                <a runat="server" id="aDelRow" onserverclick="DelSubRecord" href="#" onclick="return delConf();" title="删除当前编辑的这一行数据">删除该行</a>
            </div>
        </ContentTemplate>
        </ims:Pop>
        <ims:Pop runat="server" ID="au" Title="指定处理者/处理时限" Visible="false" OnClientUpdated="assignShown();" OnClientCanel="$('#btnArea').removeClass('hidden');" Width="555" HideOnOkClientClick="false" OnOkClientClick="return preSave();" OnOkClick="toProcessTask" ShowProgress="false">
            <ContentTemplate>
                <fieldset runat="server" id="exersArea"><legend><asp:DropDownList runat="server" ID="ddlNodes" onfocus="return SaveExecutor();" onchange="initExecutor();"></asp:DropDownList> 处理者：</legend>
                    <div id="modeFull" class="padbox">
                        <input type="checkbox" id="cbUser" /><label for="cbUser">用户：</label><asp:TextBox runat="server" id="tbUsers" acfid="UserName" chars=";；,，、" ondblclick="showUserTree(this.id);" ToolTip="双击弹出用户选择窗口。多项之间以逗号、分号或顿号分隔" /><br />
                        <input type="checkbox" id="cbRole" /><label for="cbRole">角色：</label><asp:TextBox runat="server" id="tbRoles" acfid="RoleName" chars=";；,，、" ToolTip="多项之间以逗号、分号或顿号分隔" /><br />
                        <input type="checkbox" id="cbUnit" /><label for="cbUnit">机构：</label><asp:TextBox runat="server" id="tbUnits" acfid="UnitNameWithID" chars=";；,，、" ondblclick="showUserTree(this.id,true);" ToolTip="双击弹出机构选择窗口。多项之间以逗号、分号或顿号分隔" /> <input type="checkbox" id="cbRector" value="1" checked="checked" /><label for="cbRector">负责人</label> <input type="checkbox" id="cbDirectly" value="2" /><label for="cbDirectly">直属成员</label> <input type="checkbox" id="cbIndirect" value="4" /><label for="cbIndirect">非直属成员</label><br />
                        <div id="related">
                            <input type="checkbox" id="cbRel" /><select id="ddlRel"><option value="1">交办人的</option><option value="2">发起人的</option></select>： <input type="checkbox" id="cbSelf" value="1" /><label for="cbSelf">本人</label> <input type="checkbox" id="cbLateral" value="2" /><label for="cbLateral">平级</label> <input type="checkbox" id="cbSuperior" value="4" /><label for="cbSuperior">上级</label> <input type="checkbox" id="cbDirectUnderling" value="8" /><label for="cbDirectUnderling">直接下级</label> <input type="checkbox" id="cbUnderling" value="16" /><label for="cbUnderling">所有下级</label>
                            <span runat="server" id="spanLevels"><br /><span class="hidden"><input type="checkbox" /><select><option>交办人的</option></select>： </span><input type="checkbox" id="cbLevel" value="32" /><asp:DropDownList runat="server" ID="ddlLevels"></asp:DropDownList><span class="subItems">的： <input type="checkbox" id="cbLevelRector" value="1" checked="checked" class="levelMember" /><label for="cbLevelRector">负责人</label> <input type="checkbox" class="levelMember" id="cbLevelDirectly" value="2" /><label for="cbLevelDirectly">直属成员</label></span></span>
                            <img src="images/what.gif" title="相关说明" onclick="What('Colleague')" class="what" />
                        </div>
                        <div id="exclude" class="box mtop_s"><b>排除：</b><span class="inner"><input type="checkbox" id="cbHandover" value="1" /><label for="cbHandover">交办人</label><input type="checkbox" id="cbStarter" value="2" /><label for="cbStarter">发起人</label></span><input type="checkbox" id="cbFixed" value="4" /><label for="cbFixed">指定用户：</label><asp:TextBox runat="server" id="tbNoUsers" acfid="UserName" ToolTip="双击弹出用户选择窗口。多项之间以逗号、分号或顿号分隔" chars=";；,，、" ondblclick="showUserTree(this.id);" /></div>
                    </div>
                    <div id="inUsers" class="hide">用户：<input type="text" id="tbInUsers" title="可输入多个用户，以逗号、分号或顿号分隔" /></div>
                </fieldset>
                <fieldset runat="server" id="timeArea" class="mtop_m"><legend>处理时限</legend>
                    <ul runat="server" id="ulTime"></ul>
                </fieldset>
            </ContentTemplate>
        </ims:Pop>
        <ims:Pop runat="server" ID="flowInfo" ShowOkButton="false" CanelButtonText="关闭" Width="475" CustomCss="noline" ShowProgress="false">
            <ContentTemplate>
                <fieldset class="mbottom_s"><legend>流程概况</legend>
                    <ul runat="server" id="ulFlow" class="ullist"></ul>
                </fieldset>
                <fieldset runat="server" id="flowTasks" class="mtop_m" title="点击任务名称查看其执行情况"><legend>执行情况</legend>
                    <ul runat="server" id="ulTasks" class="ullist"></ul>
                </fieldset>
            </ContentTemplate>
        </ims:Pop>
        <ims:Pop runat="server" ID="step" Width="420" OkButtonText="提醒" OnClientUpdated="processOpn('#step_ulExers');" OnOkClientClick="return showRemind();" HideOnOkClientClick="false" CanelButtonText="关闭" CustomCss="noline" ShowProgress="false">
            <ContentTemplate>
                <fieldset class="mbottom_s"><legend>任务概况</legend>
                    <ul runat="server" id="ulOv" class="ullist"></ul>
                </fieldset>
                <fieldset class="mtop_m"><legend>处理情况<span runat="server" id="findDiv">： <input type="text" onchange="findExer();" id="tbExerName" acfid="Exer" title="输入执行人查询其执行结果" /> <image src="images/find2.gif" id="find" /></span></legend>
                    <asp:UpdatePanel ID="upExers" runat="server" UpdateMode="conditional">
                    <ContentTemplate>               
                        <ul runat="server" id="ulExers"></ul>
                        <div runat="server" id="noExer">无</div>
                    </ContentTemplate>
                    </asp:UpdatePanel>
                </fieldset>
            </ContentTemplate>
        </ims:Pop>
        <ims:Pop runat="server" ID="rmd" Width="485" OnOkClientClick="return preRemind();" HideOnOkClientClick="false" OnOkClick="DoRemind" OkButtonText="发送提醒" CustomCss="noline">
            <ContentTemplate>
                <fieldset class="mbottom_m"><legend>提醒：<asp:RadioButtonList runat="server" ID="rblRemind" RepeatLayout="Flow" RepeatDirection="Horizontal"><asp:ListItem Value="pending" Selected="True">待办人员</asp:ListItem><asp:ListItem Value="All">所有处理者</asp:ListItem></asp:RadioButtonList></legend>
                    <div class="padbox mtop_m">
                        <asp:CheckBox runat="server" ID="cbMsg" Checked="true" Text="消息" /><asp:CheckBox runat="server" ID="cbMail" Text="邮件" /><asp:CheckBox runat="server" ID="cbSms" Text="短信" />
                    </div>
                </fieldset>
                <asp:TextBox runat="server" ID="tbRemind" TextMode="MultiLine"></asp:TextBox>
            </ContentTemplate>
        </ims:Pop>
        <ims:Pop runat="server" ID="prog" Title="完成进度报告" OnOkClick="ReportPercent" OnOkClientClick="preReport();" ShowProgress="false">
            <ContentTemplate>
                <div class="padbox">
                    已完成：<br />
                    <div id="percentVal"></div><span id="valText"></span>
                </div>
            </ContentTemplate>
        </ims:Pop>
        <ims:Pop runat="server" ID="backto" OnOkClick="BackTo" Width="450" OnOkClientClick="return preBack();" HideOnOkClientClick="false" CustomCss="noline" ShowProgress="false">
            <ContentTemplate>
                <fieldset><legend>将流程回退到：</legend>
                    <div class="padbox">
                        <asp:RadioButtonList runat="server" ID="rblBack" RepeatLayout="Table" RepeatColumns="1" RepeatDirection="Vertical"></asp:RadioButtonList>
                    </div>
                </fieldset>
                <fieldset class="mtop_m mbottom_l"><legend>回退模式</legend>
                    <div class="padbox">
                        <asp:RadioButton runat="server" GroupName="backMode" Checked="true" ID="rbMinAffect" Text="最小影响（不还原表单，不影响旁系分支步骤）" /><br />
                        <asp:RadioButton runat="server" GroupName="backMode" ID="rbFullBack" Text="时光倒流（完全还原到当时的流程和表单状态）" />
                    </div>
                </fieldset>
                <b>说明：</b><br />
                <asp:TextBox runat="server" ID="tbBackMent" TextMode="MultiLine" Rows="4" Width="98.5%"></asp:TextBox>
            </ContentTemplate>
        </ims:Pop>
        <ims:Pop runat="server" ID="opn" Width="450" OnClientUpdated="InitOpnPop();" OnOkClick="ProcessTask" OnOkClientClick="UpdateEditorElement('opn_tbOpn');" CustomCss="noline" OkButtonText="提交处理">
            <ContentTemplate>
                <asp:TextBox runat="server" TextMode="MultiLine" Rows="8" ID="tbOpn" Width="99%"></asp:TextBox>
            </ContentTemplate>
        </ims:Pop>
        <img id="editplace" src="images/editplace.gif" title="就地编辑" />
    <script src="js/comm.js"></script><script src="js/detail.js"></script>
    </form>
</body>
</html>